СБИС (Saby)
Интеграция со СБИС (ЭДО).
curl -X GET "https://loading/api/v1/integrations/saby/certificates"{
"property1": null,
"property2": null
}Список изменений в документах СБИС
В: header
Параметры запроса
Тело ответа
application/json
application/problem+json
curl -X GET "https://loading/api/v1/integrations/saby/changes"{
"property1": null,
"property2": null
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}Подключить СБИС
В: header
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
application/problem+json
curl -X POST "https://loading/api/v1/integrations/saby/connect" \ -H "Content-Type: application/json" \ -d '{ "appClientId": "string", "appSecret": "string" }'{
"property1": null,
"property2": null
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}Получить информацию о контрагенте СБИС
В: header
Параметры запроса
Тело ответа
application/json
application/problem+json
curl -X GET "https://loading/api/v1/integrations/saby/contragent"{
"property1": null,
"property2": null
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}Список контрагентов СБИС
В: header
Параметры запроса
Тело ответа
application/json
curl -X GET "https://loading/api/v1/integrations/saby/contragents"{
"property1": null,
"property2": null
}Создать или обновить контрагента СБИС
В: header
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X POST "https://loading/api/v1/integrations/saby/contragents" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'{
"property1": null,
"property2": null
}Поиск контрагентов СБИС
В: header
Параметры запроса
Тело ответа
application/json
application/problem+json
curl -X GET "https://loading/api/v1/integrations/saby/contragents/find"{
"property1": null,
"property2": null
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}Получить контрагента СБИС
В: header
Параметры запроса
Тело ответа
application/json
application/problem+json
curl -X GET "https://loading/api/v1/integrations/saby/contragents/read"{
"property1": null,
"property2": null
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}curl -X POST "https://loading/api/v1/integrations/saby/disconnect"{
"success": true
}Список документов СБИС
В: header
Параметры запроса
Тело ответа
application/json
curl -X GET "https://loading/api/v1/integrations/saby/documents"{
"property1": null,
"property2": null
}Создать или обновить документ СБИС
В: header
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X POST "https://loading/api/v1/integrations/saby/documents" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'{
"property1": null,
"property2": null
}Список событий по документам СБИС
В: header
Параметры запроса
Тело ответа
application/json
curl -X GET "https://loading/api/v1/integrations/saby/documents/events"{
"property1": null,
"property2": null
}Удалить вложение из документа СБИС
В: header
Параметры пути
Тело ответа
application/json
curl -X DELETE "https://loading/api/v1/integrations/saby/documents/string/attachments/string"{
"success": true
}Получить документ СБИС
В: header
Параметры пути
Тело ответа
application/json
curl -X GET "https://loading/api/v1/integrations/saby/documents/string"{
"property1": null,
"property2": null
}Удалить документ СБИС
В: header
Параметры пути
Тело ответа
application/json
curl -X DELETE "https://loading/api/v1/integrations/saby/documents/string"{
"success": true
}Выполнить действие над документом СБИС
В: header
Параметры пути
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
application/problem+json
curl -X POST "https://loading/api/v1/integrations/saby/documents/string/action" \ -H "Content-Type: application/json" \ -d '{ "action": "string" }'{
"property1": null,
"property2": null
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}Аннулировать документ СБИС
В: header
Параметры пути
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X POST "https://loading/api/v1/integrations/saby/documents/string/annul" \ -H "Content-Type: application/json" \ -d '{}'{
"success": true
}Список вложений документа СБИС
В: header
Параметры пути
Тело ответа
application/json
curl -X GET "https://loading/api/v1/integrations/saby/documents/string/attachments"{
"property1": null,
"property2": null
}Загрузить вложение в документ СБИС
В: header
Параметры пути
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X POST "https://loading/api/v1/integrations/saby/documents/string/attachments" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'{
"property1": null,
"property2": null
}Получить вложение документа СБИС
В: header
Параметры пути
Тело ответа
application/json
curl -X GET "https://loading/api/v1/integrations/saby/documents/string/attachments/string"{
"property1": null,
"property2": null
}Скачать вложение документа СБИС
В: header
Параметры пути
Тело ответа
application/octet-stream
application/problem+json
curl -X GET "https://loading/api/v1/integrations/saby/documents/string/attachments/string/download""string"{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}Скачать PDF со штампом подписи СБИС
В: header
Параметры пути
Тело ответа
application/pdf
application/problem+json
curl -X GET "https://loading/api/v1/integrations/saby/documents/string/attachments/string/stamped""string"{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}Получить ссылку на документ СБИС
В: header
Параметры пути
Тело ответа
application/json
curl -X GET "https://loading/api/v1/integrations/saby/documents/string/link"{
"property1": null,
"property2": null
}Подготовить действие над документом СБИС
В: header
Параметры пути
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
application/problem+json
curl -X POST "https://loading/api/v1/integrations/saby/documents/string/prepare" \ -H "Content-Type: application/json" \ -d '{ "action": "string" }'{
"property1": null,
"property2": null
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}Отклонить документ СБИС
В: header
Параметры пути
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X POST "https://loading/api/v1/integrations/saby/documents/string/reject" \ -H "Content-Type: application/json" \ -d '{}'{
"success": true
}Восстановить документ СБИС
В: header
Параметры пути
Тело ответа
application/json
curl -X POST "https://loading/api/v1/integrations/saby/documents/string/restore"{
"success": true
}Проверить подключение контрагента к ЭДО
В: header
Параметры запроса
Тело ответа
application/json
application/problem+json
curl -X GET "https://loading/api/v1/integrations/saby/edo/check"{
"property1": null,
"property2": null
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}Отправить приглашение в СБИС
В: header
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X POST "https://loading/api/v1/integrations/saby/invite" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'{
"property1": null,
"property2": null
}Получить приглашение СБИС
В: header
Параметры пути
Тело ответа
application/json
curl -X GET "https://loading/api/v1/integrations/saby/invite/string"{
"property1": null,
"property2": null
}curl -X GET "https://loading/api/v1/integrations/saby/organizations"{
"property1": null,
"property2": null
}Сопоставить организацию СБИС по ИНН/КПП
В: header
Параметры запроса
Тело ответа
application/json
application/problem+json
curl -X GET "https://loading/api/v1/integrations/saby/organizations/match"{
"property1": null,
"property2": null
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}Получить организацию СБИС
В: header
Параметры запроса
Тело ответа
application/json
application/problem+json
curl -X GET "https://loading/api/v1/integrations/saby/organizations/read"{
"property1": null,
"property2": null
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}curl -X POST "https://loading/api/v1/integrations/saby/organizations/refresh"{
"property1": null,
"property2": null
}Разрешить сущность СБИС в каноническую форму
В: header
Параметры пути
Тело ответа
application/json
application/problem+json
curl -X GET "https://loading/api/v1/integrations/saby/resolve/string/string"{
"property1": null,
"property2": null
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}Поиск сущностей СБИС по ИНН
В: header
Параметры пути
Параметры запроса
Тело ответа
application/json
application/problem+json
curl -X GET "https://loading/api/v1/integrations/saby/search/string"{
"property1": null,
"property2": null
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}curl -X GET "https://loading/api/v1/integrations/saby/status"{
"connected": true,
"status": "connected"
}